org.apache.hadoop.mapred

## Class ClusterStatus.BlackListInfo

- java.lang.Object
- - org.apache.hadoop.mapred.ClusterStatus.BlackListInfo

- All Implemented Interfaces:
    org.apache.hadoop.io.Writable
  Enclosing class:
    ClusterStatus

      public static class ClusterStatus.BlackListInfo
      extends Object
      implements org.apache.hadoop.io.Writable

  Class which encapsulates information about a blacklisted tasktracker. The information includes the tasktracker's name and reasons for getting blacklisted. The toString method of the class will print the information in a whitespace separated fashion to enable parsing.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getBlackListReport()` Gets a descriptive report about why the tasktracker was blacklisted.
    `String` | `getReasonForBlackListing()` Gets the reason for which the tasktracker was blacklisted.
    `String` | `getTrackerName()` Gets the blacklisted tasktracker's name.
    `int` | `hashCode()`
    `void` | `readFields(DataInput in)`
    `String` | `toString()`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getTrackerName

          public String getTrackerName()

      Gets the blacklisted tasktracker's name.
      Returns:
        tracker's name.

    - #### getReasonForBlackListing

          public String getReasonForBlackListing()

      Gets the reason for which the tasktracker was blacklisted.
      Returns:
        reason which tracker was blacklisted

    - #### getBlackListReport

          public String getBlackListReport()

      Gets a descriptive report about why the tasktracker was blacklisted.
      Returns:
        report describing why the tasktracker was blacklisted.

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.